Edits a vendor
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| vendorId | The identifier for the vendor being edited | integer (int32) | Required |
Request Body
VendorRequest
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| address | AddressChild | |||||||||||||||||||||||||||||||||||||
|
AddressChild properties
|
||||||||||||||||||||||||||||||||||||||
| consentToRepresent | File name referencing a PDF document that contains the customer’s consent to be represented to the vendor. The document must have already been uploaded to temporary filestore storage (see POST FileStore in API docs). Must be between 0 and 260 characters Required (defined) | string | ||||||||||||||||||||||||||||||||||||
| The vendor’s email address Must be between 0 and 128 characters Required (defined) | string | |||||||||||||||||||||||||||||||||||||
| phoneNumber | The vendor’s phone number Must be between 0 and 50 characters Required (defined) | string | ||||||||||||||||||||||||||||||||||||
| vendorCode | The vendor code Required Must be between 0 and 16 characters | string | ||||||||||||||||||||||||||||||||||||
| vendorDescription | A description of the vendor Must be between 0 and 4000 characters Required (defined) | string | ||||||||||||||||||||||||||||||||||||
| vendorInfo | The vendor info Required Must be between 0 and 50 characters | string | ||||||||||||||||||||||||||||||||||||
| website | The vendor’s website Must be between 0 and 255 characters Required (defined) | string | ||||||||||||||||||||||||||||||||||||
Example Request Body
{ "address": { "addressTypeId": 1, "city": "string", "country": "string", "latitude": 1.0, "line1": "string", "line2": "string", "line3": "string", "longitude": 1.0, "postalCode": "string", "remitTo": "string", "state": "string"
}, "consentToRepresent": "string", "email": "string", "phoneNumber": "string", "vendorCode": "string", "vendorDescription": "string", "vendorInfo": "string", "website": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
VendorResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| address | AddressChild | |||||||||||||||||||||||||||||||||||||||||||
|
AddressChild properties
|
||||||||||||||||||||||||||||||||||||||||||||
| consentToRepresent | A link to the document containing the customer’s consent for us to represent them to the vendor | string | ||||||||||||||||||||||||||||||||||||||||||
| createdBy | UserChild | |||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||
| createdDate | The date and time the vendor was created | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||
| ediCode | The vendor’s edi code | string | ||||||||||||||||||||||||||||||||||||||||||
| The vendor’s email address | string | |||||||||||||||||||||||||||||||||||||||||||
| modifiedBy | UserChild | |||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||
| modifiedDate | The date and time of the most recent modification | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||
| payDays | The pay days | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||
| phoneNumber | The vendor’s phone number | string | ||||||||||||||||||||||||||||||||||||||||||
| rates | The vendor’s rates | RateChildResponse[] | ||||||||||||||||||||||||||||||||||||||||||
|
RateChildResponse properties
|
||||||||||||||||||||||||||||||||||||||||||||
| splitAccountChargesConfigured | If there are settings configured to split account charges for this vendor This will only be true when the setting applies to all accounts for this vendor | boolean | ||||||||||||||||||||||||||||||||||||||||||
| vendorCode | The vendor code | string | ||||||||||||||||||||||||||||||||||||||||||
| vendorCodeAliases | An array of vendor code aliases | string[] | ||||||||||||||||||||||||||||||||||||||||||
| vendorDescription | A description of the vendor | string | ||||||||||||||||||||||||||||||||||||||||||
| vendorId | The vendor identifier | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||
| vendorInfo | The vendor info | string | ||||||||||||||||||||||||||||||||||||||||||
| website | The vendor’s website | string | ||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "address": { "addressTypeId": 1, "city": "string", "country": "string", "latitude": 1.0, "line1": "string", "line2": "string", "line3": "string", "longitude": 1.0, "postalCode": "string", "remitTo": "string", "state": "string"
}, "consentToRepresent": "string", "createdBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "createdDate": "2026-03-30", "ediCode": "string", "email": "string", "modifiedBy": { "fullName": "string", "userCode": "string", "userId": 1
}, "modifiedDate": "2026-03-30", "payDays": 1, "phoneNumber": "string", "rates": [
{ "commodity": { "commodityCode": "string", "commodityIcon": {}, "commodityId": 1, "commodityInfo": "string"
}, "name": "string", "rateId": 1
}
], "splitAccountChargesConfigured": false, "vendorCode": "string", "vendorCodeAliases": [
"string"
], "vendorDescription": "string", "vendorId": 1, "vendorInfo": "string", "website": "string"
}